package rozwiazania_zadan.r1.z03_szewc.b_wersje_poprawne;

import java.awt.HeadlessException;

import javax.swing.JOptionPane;

public class Szewc7_Gotowe {

	static String nazwaDniaTygodnia(int numer) {
		switch(numer) {
		case 1: return "poniedziałek";
		case 2: return "wtorek";
		case 3: return "środa";
		case 4: return "czwartek";
		case 5: return "piątek";
		case 6: return "sobota";
		case 7: return "niedziela";
		default: throw new IllegalArgumentException("Nieprawidłowy numer dnia tygodnia " + numer);
		}
	}
	
	public static void main(String[] args) {
		try {
			int poczatek = Integer.parseInt(JOptionPane.showInputDialog("Podaj numer dnia tygodnia\nkiedy oddajesz buty do naprawy:"));
			int czasNaprawy = Integer.parseInt(JOptionPane.showInputDialog("Ile dni będzie trwać naprawa?"));
			
			int koniec = (poczatek + czasNaprawy - 1) % 7 + 1;
			
			String nazwa = nazwaDniaTygodnia(koniec);
			JOptionPane.showMessageDialog(null, "Buty będą do odbioru w dzień " + koniec + ", czyli " + nazwa +".");
		} catch (HeadlessException e) {
			System.err.println("Brak interfejsu graficznego, program się nie uruchomi...");
			e.printStackTrace();
		} catch (Exception e) {
			JOptionPane.showMessageDialog(null, e, "Błąd", JOptionPane.ERROR_MESSAGE);
		}
	}

}
